Create a fulfillment based on an order
POST https://{handle}.myshopline.com/admin/openapi/v20260901/orders/:order_id/fulfillments.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Create a fulfillment based on a specific order.
Path Parameters
- order_id string requiredThe order ID.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Request Body
fulfillmentobject required
Fulfillment information.line_itemsobject[]
A list of order product snapshots.Maximum size: unlimitedid long requiredThe ID of the line item snapshot table, generated by the system. Combined with the order ID, it uniquely identifies a line item.quantity integer requiredThe quantity of products to be shipped.notify_customer booleanIndicates whether to notify the customer when creating or updating a fulfillment.true: Notify the customer by email.false: Do not notify the customer.
Default value:falsetracking_company stringLogistics service provider.DEPRECATED: This parameter is deprecated from API version v20250601. Refer totracking_info_list.tracking_info_listobject[]
A list of tracking information. If this parameter is specified, the individual parameterstracking_url,tracking_number, andtracking_companywill be ignored.Maximum size: 10tracking_company stringLogistics service provider. Refer to Logistics company list for valid values.tracking_number stringThe delivery tracking number provided by the logistics service provider.tracking_url stringThe domain name of the logistics company.tracking_number stringThe delivery tracking number provided by the logistics service provider.DEPRECATED: This parameter is deprecated from API version v20250601. Refer totracking_info_list.tracking_url stringThe domain name of the logistics company.DEPRECATED